### Method

# Gio DBusProxy get_cached_property

since: 2.26

#### Declaration [src]

    GVariant*
    g_dbus_proxy_get_cached_property (
      GDBusProxy* proxy,
      const gchar* property_name
    )

#### Description [src]

Looks up the value for a property from the cache. This call does no blocking IO.

If `proxy` has an expected interface (see `GDBusProxy:g-interface-info`) and `property_name` is referenced by it, then `value` is checked against the type of the property.

Available since: 2.26

#### Parameters

`property_name`

  Type: `const gchar*`

  Property name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GVariant`

A reference to the `GVariant` instance that holds the value for `property_name` or `NULL` if the value is not in the cache. The returned reference must be freed with g_variant_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.